### Virtual Method

# Atk Component set_position

#### Declaration [src]

    gboolean
    set_position (
      AtkComponent* component,
      gint x,
      gint y,
      AtkCoordType coord_type
    )

#### Description [src]

Sets the position of `component`.

Contrary to atk_component_scroll_to, this does not trigger any scrolling, this just moves `component` in its parent.

#### Parameters

`x`

  Type: `gint`

  X coordinate.

`y`

  Type: `gint`

  Y coordinate.

`coord_type`

  Type: `AtkCoordType`

  Specifies whether the coordinates are relative to the screen or to the component’s top level window.

#### Return value

Type: `gboolean`

`TRUE` or `FALSE` whether or not the position was set or not.